clang 8.0.0

Static Public Member Functions | List of all members
clang::RelaxedLiveVariables Class Reference

`#include "clang/Analysis/Analyses/LiveVariables.h"`

Inheritance diagram for clang::RelaxedLiveVariables:
[legend]
Collaboration diagram for clang::RelaxedLiveVariables:
[legend]

## Static Public Member Functions
static LiveVariables * | create (AnalysisDeclContext &analysisContext)
static const void * | getTag ()
Static Public Member Functions inherited from clang::LiveVariables
static LiveVariables * | computeLiveness (AnalysisDeclContext &analysisContext, bool killAtAssign)
| Compute the liveness information for a given CFG. More...
static LiveVariables * | create (AnalysisDeclContext &analysisContext)
static const void * | getTag ()

## Additional Inherited Members
Public Member Functions inherited from clang::LiveVariables
| ~LiveVariables () override
bool | isLive (const CFGBlock *B, const VarDecl *D)
| Return true if a variable is live at the end of a specified block. More...
bool | isLive (const Stmt *S, const VarDecl *D)
| Returns true if a variable is live at the beginning of the the statement. More...
bool | isLive (const Stmt *Loc, const Stmt *StmtVal)
| Returns true the block-level expression "value" is live before the given block-level expression (see runOnAllBlocks). More...
void | dumpBlockLiveness (const SourceManager &M)
| Print to stderr the variable liveness information associated with each basic block. More...
void | dumpStmtLiveness (const SourceManager &M)
| Print to stderr the statement liveness information associated with each basic block. More...
void | runOnAllBlocks (Observer &obs)
Public Member Functions inherited from clang::ManagedAnalysis
virtual | ~ManagedAnalysis ()
Protected Member Functions inherited from clang::ManagedAnalysis
| ManagedAnalysis ()=default

## Detailed Description

Definition at line 112 of file LiveVariables.h.

## Member Function Documentation

## ◆ create()

static LiveVariables* clang::RelaxedLiveVariables::create | ( | AnalysisDeclContext & | analysisContext | ) |
| inline static

Definition at line 114 of file LiveVariables.h.

References clang::LiveVariables::computeLiveness(), and clang::LiveVariables::getTag().

## ◆ getTag()

const void * RelaxedLiveVariables::getTag | ( |  | ) |
| static

Definition at line 684 of file LiveVariables.cpp.

The documentation for this class was generated from the following files:

- include/clang/Analysis/Analyses/LiveVariables.h
- lib/Analysis/LiveVariables.cpp